# GimpUi.ZoomPreview.get_source

    @accepts(GimpUi.ZoomPreview, int, int, int)
    @returns([guint8])
    def get_source(self, width, height, bpp):
        # Python wrapper for gimp_zoom_preview_get_source()

Returns the scaled image data of the part of the drawable the GimpUi.ZoomPreview is currently showing, as a newly allocated array of guchar. This function also allow to get the current width, height and bpp of the GimpUi.ZoomPreview.

Since 2.4

self

  a GimpUi.ZoomPreview widget

width

  a pointer to an int where the current width of the zoom widget will be put.

height

  a pointer to an int where the current width of the zoom widget will be put.

bpp

  return location for the number of bytes per pixel

Returns